MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031309Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-01-20 18:062020-01-25 13:26
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031309: Data Exchange - RWObj_Reader fails to read mh03.obj with multi-line syntax
Descriptionmh03.obj sample file cannot be opened, because it contains the following lines:
f  164/329/318 142/330/319 65/145/320 25/145/321 34/146/322 62/146/323\
139/331/324 116/332/325

E.g. multi-line syntax doesn't include any space.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberde_mesh/obj_read/multiline
Attached Files7z file icon mh03.7z (1,707,985 bytes) 2020-01-20 18:06

- Relationships
child of 0030964verifiedbugmaster Data Exchange - use Standard_ReadLineBuffer within OBJ reader 

-  Notes
(0089962)
git (administrator)
2020-01-20 18:13

Branch CR31309 has been created by kgv.

SHA-1: 6a2d1bf2e7e267c9d130c06ed9d28cec563a3aed


Detailed log of new commits:

Author: kgv
Date: Mon Jan 20 18:09:32 2020 +0300

    0031309: Data Exchange - RWObj_Reader fails to read mh03.obj with multi-line syntax
    
    Standard_ReadLineBuffer::SetMultilineMode() now accepts a flag to put gap space while joining lines, enabled by default.
(0089963)
git (administrator)
2020-01-20 18:14

Branch CR31309 has been updated forcibly by kgv.

SHA-1: 384f67a800ae14568d15f3894efa92244adc98d4
(0089964)
git (administrator)
2020-01-20 18:52

Branch CR31309 has been updated forcibly by kgv.

SHA-1: 1f2dc079daf13ed63621d2750444c7a99cf029a2
(0089967)
kgv (developer)
2020-01-21 02:58

Patch is ready for review.
(0089973)
osa (developer)
2020-01-21 11:40

The patch was reviewed without remarks
(0089977)
git (administrator)
2020-01-21 13:08

Branch CR31309 has been updated forcibly by kgv.

SHA-1: 3eba1c72ef3ad9acf45ec538e535cd3c11a9dd74
(0090052)
bugmaster (administrator)
2020-01-24 16:54

Combination -
OCCT branch : WEEK-4
master SHA - 6216ed573eba2e021c05ae79b13de3404ae2633d
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-4 SHA - 78d1418219e11e1effe871d7f2886b736d7b8bdf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16995.39000000029 / 17005.860000000113 [-0.06%]
Products
Total CPU difference: 12132.210000000103 / 10725.040000000088 [+13.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 18437.984375 / 18453.859375 [-0.09%]
Products
Total CPU difference: 14113.03125 / 12655.59375 [+11.52%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090062)
git (administrator)
2020-01-25 13:26

Branch CR31309 has been deleted by inv.

SHA-1: 3eba1c72ef3ad9acf45ec538e535cd3c11a9dd74

- Related Changesets
occt: master 3eba1c72
Timestamp: 2020-01-20 15:09:32
Author: kgv
Details ] Diff ]
0031309: Data Exchange - RWObj_Reader fails to read mh03.obj with multi-line syntax

Standard_ReadLineBuffer::SetMultilineMode() now accepts a flag to put gap space while joining lines, enabled by default.
mod - src/Standard/Standard_ReadLineBuffer.hxx Diff ] File ]
mod - tests/de_mesh/obj_read/multiline Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-20 18:06 kgv New Issue
2020-01-20 18:06 kgv Assigned To => kgv
2020-01-20 18:06 kgv File Added: mh03.7z
2020-01-20 18:07 kgv Relationship added child of 0030964
2020-01-20 18:13 git Note Added: 0089962
2020-01-20 18:14 git Note Added: 0089963
2020-01-20 18:52 git Note Added: 0089964
2020-01-21 02:58 kgv Note Added: 0089967
2020-01-21 02:58 kgv Assigned To kgv => osa
2020-01-21 02:58 kgv Status new => resolved
2020-01-21 11:40 osa Note Added: 0089973
2020-01-21 11:40 osa Assigned To osa => bugmaster
2020-01-21 11:40 osa Status resolved => reviewed
2020-01-21 13:08 git Note Added: 0089977
2020-01-24 16:54 bugmaster Note Added: 0090052
2020-01-24 16:55 bugmaster Test case number => de_mesh/obj_read/multiline
2020-01-24 16:55 bugmaster Status reviewed => tested
2020-01-25 13:09 kgv Changeset attached => occt master 3eba1c72
2020-01-25 13:09 kgv Assigned To bugmaster => kgv
2020-01-25 13:09 kgv Status tested => verified
2020-01-25 13:09 kgv Resolution open => fixed
2020-01-25 13:26 git Note Added: 0090062


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker